com.sun.pdfview.action

## Class GoToAction

- java.lang.Object
- - com.sun.pdfview.action.PDFAction
  - - com.sun.pdfview.action.GoToAction

    public class GoToAction
    extends PDFAction

An action which specifies going to a particular destination

### Constructor Summary

Constructors
Constructor and Description
`GoToAction(PDFDestination dest)` Create a new GoToAction from a destination
`GoToAction(PDFObject obj, PDFObject root)` Creates a new instance of GoToAction from an object

### Method Summary

Methods
`PDFDestination` `getDestination()` Get the destination this action refers to

### Methods inherited from class com.sun.pdfview.action.PDFAction

`getAction, getNext, getType, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GoToAction

    public GoToAction(PDFObject obj,
              PDFObject root)
               throws java.io.IOException

Creates a new instance of GoToAction from an object

Parameters:
  `obj` - the PDFObject with the action information
Throws:
  `java.io.IOException`

#### GoToAction

    public GoToAction(PDFDestination dest)

Create a new GoToAction from a destination

### Method Detail

#### getDestination

    public PDFDestination getDestination()

Get the destination this action refers to